LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-16-2009, 05:57 PM   #1
unclerick94
LQ Newbie
 
Registered: Jul 2009
Distribution: Debian "Lenny"
Posts: 7

Rep: Reputation: 0
Install wxWidgets (for Audacity) can't find "wx-config"


(I'm running Debian Lenny)

I'm trying to install Audacity 1.3.5 Beta.

I've already installed wx2.8 (via apt-get install wx2.8-i18n) and the wx2.8-headers, yet when I attempt to configure Audacity it says "Could not find wx-config: is wxWidgets installed? is wx-config in your path?".

I've heard some problems with this because wxWidgets wasn't/was installed in Unicode(?) or something like that,
but I'm not sure what the problem is or how to fix it.

Can anyone help?
(I'm very new at Linux in general, heheh.)

Last edited by unclerick94; 07-16-2009 at 05:58 PM.
 
Old 07-16-2009, 08:49 PM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016 CentOS6.9 CentOS7.3 + 50+ other Linux OS, for test only.
Posts: 16,635

Rep: Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268
The package 'libwxgtk2.8-dev' ( required )
provides all the headers etc. needed for
compiling applications with libwxgtk2.8 .

The file /usr/bin/wx-config
is created when installing libwxgtk2.8-dev .
Ref. post # 2 here
http://www.linuxquestions.org/questi...ight=wx-config
.....

Last edited by knudfl; 07-16-2009 at 09:10 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Cannot run Audacity : "Audacity is already running" tuanito Linux - Software 8 03-17-2016 02:05 PM
Why "apt-file search wx-config" not find? (Debian Lenny) kaz2100 Debian 4 01-02-2009 11:38 AM
Bios config: "ahci" or "standard ide" for a sata drive ? Danodare Slackware 1 11-05-2006 12:31 AM
Trying to install dvd::rip but :Can't exec "gnome-config" jimdaworm Slackware 49 01-02-2006 02:32 PM
Can't install "glibmm" library. "configure" script can't find "sigc++-2.0&q kornerr Linux - General 4 05-10-2005 02:32 PM


All times are GMT -5. The time now is 11:02 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration